diff --git a/_gdb.spec.Patch.include b/_gdb.spec.Patch.include
index b3c5633..edce570 100644
--- a/_gdb.spec.Patch.include
+++ b/_gdb.spec.Patch.include
@@ -504,33 +504,3 @@ Patch120: gdb-vla-intel-fix-print-char-array.patch
 # =fedoratest
 Patch121: gdb-rhbz1553104-s390x-arch12-test.patch
 
-# Implement IPv6 support for GDB/gdbserver (RH BZ 881849, Sergio Durigan Junior).
-Patch122: gdb-rhbz881849-ipv6-1of3.patch
-
-
-Patch123: gdb-rhbz881849-ipv6-2of3.patch
-
-
-Patch124: gdb-rhbz881849-ipv6-3of3.patch
-
-# Add GDB support to access/display POWER8 registers (IBM, RH BZ 1187581).
-Patch125: gdb-rhbz1187581-power8-regs-1of7.patch
-
-# Add GDB support to access/display POWER8 registers (IBM, RH BZ 1187581).
-Patch126: gdb-rhbz1187581-power8-regs-2of7.patch
-
-# Add GDB support to access/display POWER8 registers (IBM, RH BZ 1187581).
-Patch127: gdb-rhbz1187581-power8-regs-3of7.patch
-
-# Add GDB support to access/display POWER8 registers (IBM, RH BZ 1187581).
-Patch128: gdb-rhbz1187581-power8-regs-4of7.patch
-
-# Add GDB support to access/display POWER8 registers (IBM, RH BZ 1187581).
-Patch129: gdb-rhbz1187581-power8-regs-5of7.patch
-
-# Add GDB support to access/display POWER8 registers (IBM, RH BZ 1187581).
-Patch130: gdb-rhbz1187581-power8-regs-6of7.patch
-
-# Add GDB support to access/display POWER8 registers (IBM, RH BZ 1187581).
-Patch131: gdb-rhbz1187581-power8-regs-7of7.patch
-
diff --git a/_gdb.spec.patch.include b/_gdb.spec.patch.include
index ca390b7..a663edb 100644
--- a/_gdb.spec.patch.include
+++ b/_gdb.spec.patch.include
@@ -119,13 +119,3 @@
 %patch119 -p1
 %patch120 -p1
 %patch121 -p1
-%patch122 -p1
-%patch123 -p1
-%patch124 -p1
-%patch125 -p1
-%patch126 -p1
-%patch127 -p1
-%patch128 -p1
-%patch129 -p1
-%patch130 -p1
-%patch131 -p1
diff --git a/_git_upstream_commit b/_git_upstream_commit
index 06f33fd..40875f4 100644
--- a/_git_upstream_commit
+++ b/_git_upstream_commit
@@ -1 +1 @@
-ab080c102869dd3ad300a99d0c00b256404fd76b
+78f8307c93755eb581c20ba049f1b092f161d513
diff --git a/_patch_order b/_patch_order
index ec2f86f..1b3a5fe 100644
--- a/_patch_order
+++ b/_patch_order
@@ -119,13 +119,3 @@ gdb-testsuite-readline63-sigint.patch
 gdb-archer.patch
 gdb-vla-intel-fix-print-char-array.patch
 gdb-rhbz1553104-s390x-arch12-test.patch
-gdb-rhbz881849-ipv6-1of3.patch
-gdb-rhbz881849-ipv6-2of3.patch
-gdb-rhbz881849-ipv6-3of3.patch
-gdb-rhbz1187581-power8-regs-1of7.patch
-gdb-rhbz1187581-power8-regs-2of7.patch
-gdb-rhbz1187581-power8-regs-3of7.patch
-gdb-rhbz1187581-power8-regs-4of7.patch
-gdb-rhbz1187581-power8-regs-5of7.patch
-gdb-rhbz1187581-power8-regs-6of7.patch
-gdb-rhbz1187581-power8-regs-7of7.patch
diff --git a/gdb.spec b/gdb.spec
index 4997f0c..474b575 100644
--- a/gdb.spec
+++ b/gdb.spec
@@ -18,15 +18,15 @@
 Name: %{?scl_prefix}gdb
 
 # Freeze it when GDB gets branched
-%global snapsrc    20180727
+%global snapsrc    20180910
 # See timestamp of source gnulib installed into gdb/gnulib/ .
 %global snapgnulib 20161115
 %global tarname gdb-%{version}
-Version: 8.1.90.%{snapsrc}
+Version: 8.2.50.%{snapsrc}
 
 # The release always contains a leading reserved number, start it at 1.
 # `upstream' is not a part of `name' to stay fully rpm dependencies compatible for the testing.
-Release: 45%{?dist}
+Release: 1%{?dist}
 
 License: GPLv3+ and GPLv3+ with exceptions and GPLv2+ and GPLv2+ with exceptions and GPL+ and LGPLv2+ and LGPLv3+ and BSD and Public Domain and GFDL
 Group: Development/Debuggers
@@ -1022,6 +1022,9 @@ fi
 %endif
 
 %changelog
+* Mon Sep 10 2018 Sergio Durigan Junior <sergiodj@redhat.com> - 8.2.50.20180910-1.fc30
+- Rebase to FSF GDB 8.2.50.20180910 (8.3pre).
+
 * Tue Aug 21 2018 Sergio Durigan Junior <sergiodj@redhat.com> - 8.1.90.20180727-45.fc30
 - Enable verbose output when running "make".
 
